This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 837558 - createrepo -C not updating repodata when needed
createrepo -C not updating repodata when needed
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: createrepo (Show other bugs)
6.3
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: James Antill
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-04 04:58 EDT by Marko Myllynen
Modified: 2012-10-04 06:44 EDT (History)
0 users

See Also:
Fixed In Version: createrepo-0.9.9-13.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-04 06:44:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
createrepo-checkts-fix.patch (924 bytes, patch)
2012-07-04 04:59 EDT, Marko Myllynen
no flags Details | Diff
createrepo-checkts-fix.patch (878 bytes, patch)
2012-08-07 09:57 EDT, Marko Myllynen
no flags Details | Diff

  None (edit)
Description Marko Myllynen 2012-07-04 04:58:37 EDT
Description of problem:
createrepo -C fails to update repodata even if packages newer than the repodata are present due to a flaw in checkTimeStamps which causes only one package to be compared, not all the packages. I'll attach a patch proposal to fix the issue.

Version-Release number of selected component (if applicable):
RHEL 6.3
Comment 1 Marko Myllynen 2012-07-04 04:59:12 EDT
Created attachment 596179 [details]
createrepo-checkts-fix.patch
Comment 3 Marko Myllynen 2012-08-07 09:57:57 EDT
Created attachment 602760 [details]
createrepo-checkts-fix.patch

The previous patch was faulty, updated version attached which also works when -C is not used.
Comment 4 Marko Myllynen 2012-10-04 06:44:00 EDT
This should now be fixed as part of 0.9.9 rebase, closing.

Note You need to log in before you can comment on or make changes to this bug.